/**
 * api
 * GIC卡券
 */
import getFetch from './get-fetch.js';
import config, { welfarePrefix } from '@/config';


// 卡券相关接口
let card = {
  cardList: {
    // 卡券列表
    url: '/coupon/coupon-page',
    method: 'post',
    useFormData: true,
  },
  addCard: {
    // 新增卡券
    url: '/coupon/save-coupon',
    method: 'post',
    useFormData: true,
  },
  updateCard: {
    // 修改卡券
    url: '/coupon/edit-coupon',
    method: 'post',
    useFormData: true,
  },
  copyCard: '/coupon/copy-coupon',  // 拷贝卡券
  cardInfo: '/coupon/coupon-detail', // 卡券详情
  updateCardStock: '/coupon/update-coupon-stock', // 修改库存
  deleteCard: '/coupon/delete-coupon', // 删除卡券
  disableCard: '/coupon/disable-coupon', // 禁用卡券
  couponLogPage: '/coupon/coupon-log-page', // 卡券领取列表
  giveLogList: '/coupon-log/coupon-give-log-page', // 卡券转赠记录
  checkDemoCode: {
    // 根据demo code
    url: '/coupon/check-demo-code',
    alertError: false
  },
  getMallShopList: '/area/all-mall-shop', // 获取微盟店铺
  couponlogList: {
    // 会员领取记录
    url: '/coupon-log/coupon-log-page',
    method: 'post',
  },
  couponStockInfo: '/stock/coupon-stock-info', // 卡券/卡券包的福利详情
};

let destory = {
  saveCoupDestoryPlan: {
    // 保存卡券销毁
    url: '/destroy-plugin/save-destroy-plan',
    method: 'post',
    useFormData: true,
  },
  cardDestoryList: '/destroy-plugin/destroy-plan-page', // 卡券销毁分页列表
  getDestroyDetail: '/destroy-plugin/get-destroy-detail', // 卡券销毁详情
  couponConsumeOrder: '/coupon-log/coupon-consume-order', // 核销 - 订单信息
  couponConsume: '/coupon-log/coupon-consume', // 核销 - 核销
  couponDestroy: '/coupon-log/coupon-destroy', // 销毁
  importCode: {
    url: '/coupon/import-custom-code',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data;' },
    file: true
  }, // 导入券码
};


card = getFetch(card, welfarePrefix);
destory = getFetch(destory, welfarePrefix);

export default { ...card, ...destory };


export const downloadCouponCSV = config.api + welfarePrefix + '/destroy-plugin/download-destroy-code-template'; // 下载导入GIC券号csv示例文件
export const importDestoryCode = welfarePrefix + '/destroy-plugin/import-destroy-code'; // 上传销毁code列表
export const downloadDestroyCodeTemplate = config.api + welfarePrefix + '/coupon/download-code-template'; // 下载销毁模板示例

