import Layout from '@/components/layout/layout';

export default [
  {
    path: '/gic-card',
    component: Layout,
    redirect: '/gic-card/list',
    children: [
      {
        path: 'list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/card-list.vue'),
      },
      // 领取记录
      {
        path: 'member-get',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/member-get.vue'),
        meta: {
          path: '/gic-card/list'
        }
      },
      // 库存记录
      {
        path: 'stock-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/stock-list.vue'),
        meta: {
          path: '/gic-card/list'
        }
      },
      {
        path: 'stock-upload-list', // 上传设置
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/stock-upload-list.vue'),
      },
      // 转赠列表
      {
        path: 'send-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/send-list.vue'),
      },
      // 步骤页新增卡券
      {
        path: 'add',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/card-form.vue'),
        meta: {
          type: 'add',
          path: '/gic-card/list'
        }
      },
      // 步骤页编辑卡券
      {
        path: 'edit',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/card-form.vue'),
        meta: {
          type: 'edit',
          path: '/gic-card/list'
        }
      },
      // 步骤页复制卡券
      {
        path: 'copy',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/card-form.vue'),
        meta: {
          type: 'copy',
          path: '/gic-card/list'
        }
      },
      // 长页详情
      {
        path: 'info',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/card-info.vue'),
        meta: {
          type: 'info',
          path: '/gic-card/list'
        }
      },
      // 长页编辑
      {
        path: 'info-edit',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/card-info.vue'),
        meta: {
          type: 'edit',
          path: '/gic-card/list'
        }
      },
      // 卡券销毁
      {
        path: 'destory-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/card/gic-card/destory-list.vue'),
      },
    ],
  },
];